Last Comment Bug 614720 - [Meta] Remove support for WinCE/Windows Mobile
: [Meta] Remove support for WinCE/Windows Mobile
Status: RESOLVED FIXED
: meta
Product: Core
Classification: Components
Component: Tracking (show other bugs)
: Trunk
: All Windows CE
: -- trivial (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
Mentors:
Depends on: 386760 473687 554087 600454 614721 644743 644801 647389 648508 648862 648865 648866 649078 651622 651657 652029 652445 652506 653765 654463 654472 654504 654552 654594 654600 654611 654716 654718 654719 654723 654732 654736 654737 655010 655011 655039 655176 655473 655475 655480 655488 655493 655496 655498 655503 656017 656187 664311 715210 715559 764266
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-24 17:58 PST by Matheus Kerschbaum
Modified: 2012-06-22 23:38 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Matheus Kerschbaum 2010-11-24 17:58:28 PST
User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:2.0b8pre) Gecko/20101124 Firefox/4.0b8pre
Build Identifier: 

See Bug 600714 comment 0.

Reproducible: Always
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-01-25 11:15:11 PST
Seems weird to remove WinCE support before we're sure we won't be able to do a Windows Phone 7 port.
Comment 2 Doug Turner (:dougt) 2011-03-16 20:50:51 PDT
I think there are some places that I don't mind removing (like the ddraw bits), but a huge removal of wince might be an overkill.
Comment 3 Ed Morley [:emorley] 2011-04-18 17:39:10 PDT
Adding bug 386760, since the rewrite there removes all of the old WinCE updater code.

(In reply to comment #1)
> Seems weird to remove WinCE support before we're sure we won't be able to do a
> Windows Phone 7 port.

(In reply to comment #2)
> I think there are some places that I don't mind removing (like the ddraw bits),
> but a huge removal of wince might be an overkill.

I would have thought that even if MS finally release a Windows Phone 7 NDK, and even if the decision is made to port to it; the platform changes will be significant enough compared to WinCE 6 that most of the current WinCE specific code would be redundant anyway? (Especially given that a lot of it is ancient hackery working around older WinCE OS/compiler bugs and limitations, which one would hope would no longer exist on Windows Phone 7...or at least in different forms?)
Comment 4 Robert Strong [:rstrong] (use needinfo to contact me) 2011-04-18 17:45:55 PDT
In the case of the updater (bug 386760), it would likely just work with Windows Phone 7 and there wouldn't be new API's. I mainly removed it because it was difficult to support WinCE/WinMo while optimizing the code. I suspect it will be the same eslewhere as well.
Comment 5 Nelson Bolyard (seldom reads bugmail) 2011-05-05 17:30:26 PDT
Is Fennec dead?
Comment 6 Ed Morley [:emorley] 2011-05-05 18:15:05 PDT
(In reply to comment #5)
> Is Fennec dead?

No, Fennec is the code name for the mobile version of Firefox, which is being actively developed for Maemo and Android (https://wiki.mozilla.org/Mobile/Fennec), so Fennec itself isn't dead.

What is being discussed here is WinCE/Windows Mobile platform support, which was the initial platform for Fennec, but is no longer supported by it - thanks to Microsoft's decision to not release an NDK for Windows Phone 7 (http://blog.pavlov.net/2010/03/22/stopping-development-for-windows-mobile/).
Comment 7 Ed Morley [:emorley] 2011-08-12 09:51:52 PDT
Removing dependency on bug 622840, since the WinCE removal parts have landed (http://hg.mozilla.org/mozilla-central/rev/98ef084ded47) even though the rest of the bug was backed out / reopened.

Closing this meta now, since the only remaining instances of:
WINCE
WIN32_WCE 
MOZ_CE
WINMO
...are in upstream code, including NSPR (WONTFIX) & NSS (being dealt with in bug 654611); so nothing left to do here.

Note You need to log in before you can comment on or make changes to this bug.